# encoding: UTF-8
#
# Author:: Xabier de Zuazo (<xabier@zuazo.org>)
# Copyright:: Copyright (c) 2015 Onddo Labs, SL.
# License:: Apache License, Version 2.0
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'spec_helper'

describe file('/home/alice/.ssh') do
  it { should be_directory }
  it { should be_owned_by 'alice' }
  it { should be_grouped_into 'alice' }
  it { should be_mode 700 }
end

content = [
  '# Generated by Chef',
  'no-port-forwarding,no-agent-forwarding,no-X11-forwarding,'\
  'command="echo \'Please login as the user \"bob\" rather than the user '\
  '\"alice\".\';echo;sleep 10" '\
  'ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCySLKbpFRGCrKU/N6jNVB8vZLzexKbkq2bXPR'\
  'KUakmf8qrSQI9Bl1C8+6//uKpe909DrZzEkJzPC9BgpNnWtJ25SxHogKb1SybAk0OFc61X7wl1k'\
  'noo+OcuW6Moi0vpNiUGy2VnM0nyecLoQxggvnj1392uoMdS4VY71PGdcBac7p9IwAwYxlsuFEKR'\
  'cfKisJAHDEblgSFyC9lLMMjTSxxKn8s5AaR1h+Lb3Kwibd7ikvIgYRybTbD12FtQRxuWZBVm39C'\
  'M3539gT6514IaYyYVDyIEFDyGjK2UV27ah56jMaRFGX4IIh2gH5P2XaV7As5p8RPYoWwf+pCz19'\
  'mrPd/ alice@acme.com',
].join("\n") << "\n"

describe file('/home/alice/.ssh/authorized_keys') do
  it { should be_file }
  it { should be_owned_by 'alice' }
  it { should be_grouped_into 'alice' }
  it { should be_mode 600 }
  its(:content) { should eq content }
end
